<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRoutePlanReq StructType
 * @subpackage Structs
 */
class AddRoutePlanReq extends APIRequest
{
    /**
     * The routePlan
     * @var XRoutePlan
     */
    public $routePlan;
    /**
     * Constructor method for AddRoutePlanReq
     * @uses AddRoutePlanReq::setRoutePlan()
     * @param XRoutePlan $routePlan
     */
    public function __construct(XRoutePlan $routePlan = null)
    {
        $this
            ->setRoutePlan($routePlan);
    }
    /**
     * Get routePlan value
     * @return XRoutePlan|null
     */
    public function getRoutePlan()
    {
        return $this->routePlan;
    }
    /**
     * Set routePlan value
     * @param XRoutePlan $routePlan
     * @return AddRoutePlanReq
     */
    public function setRoutePlan(XRoutePlan $routePlan = null)
    {
        $this->routePlan = $routePlan;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRoutePlanReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
